Octopus Tentacle Upgrade via Hydra

Hi,

I’ve run into an issue with the Hydra tentacle upgrade that I think would be beneficial for the package to validate before attempting to deploy the upgrade to the host. The step template should connect to the running tentacle from the currently running OD instance (where hydra is being deployed from) and validate that the dependencies for that upgrade are present before attempting to run the upgrade task. It appears that the machine in question didn’t have the .Net 4.5 framework on it but would have been helpful for those that ran the upgrade to know that the dependency wasn’t met.

I see this as an enhancement that shouldn’t be to difficult to add.

Thanks,
Mike